Bug 1061776 - [PATCH] [RFE] allow ftp url for mockchain
Summary: [PATCH] [RFE] allow ftp url for mockchain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 15:39 UTC by Miroslav Suchý
Modified: 2014-10-10 16:04 UTC (History)
2 users (show)

Fixed In Version: mock-1.1.41-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-01 22:22:40 UTC


Attachments (Terms of Use)
Patch fixing this problem (802 bytes, patch)
2014-02-05 15:39 UTC, Miroslav Suchý
no flags Details | Diff

Description Miroslav Suchý 2014-02-05 15:39:05 UTC
Created attachment 859710 [details]
Patch fixing this problem

Mockchain allows only https:// and http://. It will reject ftp://
Underlaying urlgrabber handle FTP without problem. I tested attached patch and it works like a charm.

Comment 1 Miroslav Suchý 2014-05-16 07:44:41 UTC
Fixed in 00204137a23c05535276fc86dfb2cb966e53c431

Comment 2 Fedora Update System 2014-05-27 15:39:26 UTC
mock-1.1.39-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc19

Comment 3 Fedora Update System 2014-05-27 15:39:42 UTC
mock-1.1.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.el6

Comment 4 Fedora Update System 2014-05-27 15:39:59 UTC
mock-1.1.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc20

Comment 5 Fedora Update System 2014-05-27 19:11:55 UTC
Package mock-1.1.39-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.39-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1506/mock-1.1.39-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-06-01 22:22:40 UTC
mock-1.1.39-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-06-25 19:59:58 UTC
mock-1.1.39-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-07-18 02:13:24 UTC
mock-1.1.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc20

Comment 9 Fedora Update System 2014-07-18 02:13:50 UTC
mock-1.1.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc19

Comment 10 Fedora Update System 2014-07-18 02:14:11 UTC
mock-1.1.40-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.el6

Comment 11 Fedora Update System 2014-07-18 17:45:31 UTC
mock-1.1.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc20

Comment 12 Fedora Update System 2014-07-18 17:45:57 UTC
mock-1.1.41-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc19

Comment 13 Fedora Update System 2014-07-18 17:46:23 UTC
mock-1.1.41-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.el6

Comment 14 Fedora Update System 2014-07-20 03:24:40 UTC
mock-1.1.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-07-22 18:08:00 UTC
mock-1.1.41-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-09-16 16:46:59 UTC
mock-1.1.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-2.fc19

Comment 17 Fedora Update System 2014-09-30 09:00:14 UTC
mock-1.1.41-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-3.fc19

Comment 18 Fedora Update System 2014-10-10 16:04:23 UTC
mock-1.1.41-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.